Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server
Class JMSDestination

    java.lang.Object
      org.jboss.mq.server.JMSDestination

Direct Known Subclasses:
  JMSQueue, JMSTopic

public abstract class JMSDestination
extends Object

This class is a message queue which is stored (hashed by Destination) on the JMS provider

Version:
  $Revision: 1.20 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), David Maplesden (David.Maplesden@orion.co.nz)

Field Summary
`BasicQueueParameters` | `parameters` The basic queue parameters

Method Summary
`abstract void` | `acknowledge(AcknowledgementRequest req, Subscription sub, Tx txId)`
`abstract void` | `addMessage(SpyMessage mes, Tx txId)`
`abstract void` | `addReceiver(Subscription sub)`
`abstract void` | `addSubscriber(Subscription sub)`
`abstract void` | `close()`
`abstract MessageCounter[]` | `getMessageCounter()`
`SpyDestination` | `getSpyDestination()`
`abstract boolean` | `isInUse()`
`abstract void` | `nackMessages(Subscription sub)`
`protected long` | `nextMessageId()`
`protected static long` | `nextSharedMessageId()`
`abstract SpyMessage` | `receive(Subscription sub, boolean wait)`
`abstract void` | `removeAllMessages()`
`abstract void` | `removeReceiver(Subscription sub)`
`abstract void` | `removeSubscriber(Subscription sub)`
`abstract void` | `restoreMessage(MessageReference message)`
`abstract void` | `restoreMessage(SpyMessage message)`
`protected void` | `updateNextMessageId(SpyMessage message)`
`protected static void` | `updateSharedNextMessageId(SpyMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameters

    public BasicQueueParameters parameters

  The basic queue parameters

Method Detail

### getSpyDestination

    public SpyDestination getSpyDestination()

### addSubscriber

    public abstract void addSubscriber(Subscription sub)
                                throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### removeSubscriber

    public abstract void removeSubscriber(Subscription sub)
                                   throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### nackMessages

    public abstract void nackMessages(Subscription sub)
                               throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### receive

    public abstract SpyMessage receive(Subscription sub,
                                       boolean wait)
                                throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### addReceiver

    public abstract void addReceiver(Subscription sub)
                              throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### removeReceiver

    public abstract void removeReceiver(Subscription sub)

### restoreMessage

    public abstract void restoreMessage(MessageReference message)

### restoreMessage

    public abstract void restoreMessage(SpyMessage message)

### isInUse

    public abstract boolean isInUse()

### close

    public abstract void close()
                        throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### removeAllMessages

    public abstract void removeAllMessages()
                                    throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### acknowledge

    public abstract void acknowledge(AcknowledgementRequest req,
                                     Subscription sub,
                                     Tx txId)
                              throws javax.jms.JMSException

  Parameters:
    `req` - org.jboss.mq.AcknowledgementRequest
    `sub` - org.jboss.mq.Subscription
    `txId` - org.jboss.mq.pm.Tx
  Throws:
    `javax.jms.JMSException` - The exception description.

### addMessage

    public abstract void addMessage(SpyMessage mes,
                                    Tx txId)
                             throws javax.jms.JMSException

  Parameters:
    `mes` - org.jboss.mq.SpyMessage
    `txId` - org.jboss.mq.pm.Tx
  Throws:
    `javax.jms.JMSException` - The exception description.

### getMessageCounter

    public abstract MessageCounter[] getMessageCounter()

### nextSharedMessageId

    protected static long nextSharedMessageId()

### updateSharedNextMessageId

    protected static void updateSharedNextMessageId(SpyMessage message)

### nextMessageId

    protected long nextMessageId()

### updateNextMessageId

    protected void updateNextMessageId(SpyMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.